# Step 1: Set up Quartz on MS SQL Server

Event information, such as scheduled reports, is stored in the Quartz JobStore. During the installation process, you must indicate where the JobStore is located by modifying the `quartz.properties` file.

1. Open the `pentaho/server/pentaho-server/pentaho-solutions/system/quartz/quartz.properties` file in any text editor.
2. Locate the **#\_replace\_jobstore\_properties** section and set the **org.quartz.jobStore.driverDelegateClass** as shown:

   ```xml
   org.quartz.jobStore.driverDelegateClass = org.quartz.impl.jdbcjobstore.MSSQLDelegate
   ```
3. Locate the **# Configure Datasources** section and set the **org.quartz.dataSource.myDS.jndiURL** equal to *Quartz*, as shown:

   ```xml
   org.quartz.dataSource.myDS.jndiURL = Quartz
   ```
4. Save the file and close the text editor.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pentaho.com/install/9.3-install/pentaho-installation-overview-cp/archive-installation/archive-installation-process/use-ms-sql-server-as-your-repository-database-archive-installation/configure-ms-sql-server-pentaho-repository-database/step-1-set-up-quartz-on-ms-sql-server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
